/* == TEST: Control, single statement, same line.*/
if (q) a();
c();

/* == TEST: Control, single statement, + next, same line.*/
if (q) a(); c(); d();
e();

/* == TEST: Control, single statement, + next + bonus, same line.*/
if (q) a(); c();

/* == TEST: Control, single statement, separate line. */
if (q)
  a();
c();

/* == TEST: Control, block, same line. */
if (q) { a(); }
c();

/* == TEST: Control, block, multi, same line. */
if (q) { a(); d(); }
c();

/* == TEST: Control, block, separate line. */
if (q) { 
  a();
}
c();

/* == TEST: Control, block, single statement + bonus, same line. */
if (q) { a(); } d(); 
c();

/* == TEST: Control, block, multi statement + bonus, same line. */
if (q) { a(); e(); } d(); 
c();

